﻿<%@ Page Title="Home Page" Language="C#" MasterPageFile="~/Site.Master" AutoEventWireup="true" CodeBehind="Default.aspx.cs" Inherits="WebApplication1._Default" %>

<%@ Register assembly="Syncfusion.EJ.Web" namespace="Syncfusion.JavaScript.Web" tagprefix="ej" %>

<asp:Content runat="server" ID="FeaturedContent" ContentPlaceHolderID="FeaturedContent" >
     <script src="Scripts/jquery-1.10.1.min.js"></script>
    <script src="Scripts/jquery.globalize.min.js"></script>
    <script src="Scripts/ej.web.all.min.js"></script>
      <ej:Chart ID="Chart1" runat="server" Width="970" Height="600" CanResize="true" OnClientDisplayTextRendering="labelFormat" >
            <PrimaryXAxis Title-Text="Year" />
            <PrimaryYAxis Title-Text="Percentage" RoundingPlaces =5 />
            <CommonSeriesOptions EnableAnimation="True" Type="Column" Tooltip-Visible="true" 
                Tooltip-Format="#series.name# &lt;br/> #point.x# : #point.y#" PieCoefficient="0.5"  >
                <Marker>
                   <Border Width="2"></Border>
                   <DataLabel Visible="True" TextPosition="middle">
                   <Font FontSize="13px" FontFamily="Segoe UI" FontStyle="Normal" FontWeight="Regular" Color="White"></Font>
                </DataLabel>
                </Marker>
            </CommonSeriesOptions>
            <Series>
                <ej:Series Name="India" XName="Xvalue" YName="YValue1"></ej:Series>
            </Series>
            <Legend Position="Right" Alignment="Near"></Legend>
            <Title Text="Unemployment rate (%)"></Title>
        </ej:Chart>
        
    <script>
        function labelFormat(sender)
        {
            var num = sender.data.text;
            sender.data.text = Math.round(num * 100) / 100;
        }
        </script>
</asp:Content>