﻿using Syncfusion.JavaScript.DataVisualization;
using Syncfusion.JavaScript.DataVisualization.Models;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

namespace WebApplication1
{
    public partial class _Default : Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
           

            //Setting Range for PrimaryYAxis
            this.Chart1.PrimaryYAxis.Range.Max = 9;
            this.Chart1.PrimaryYAxis.Range.Min = 0;
            this.Chart1.PrimaryYAxis.Range.Interval = 1.12324;

            List<BarChartData> data = new List<BarChartData>();
            data.Add(new BarChartData(2005,3.81232343));
            data.Add(new BarChartData(2006,8.1232343));
            data.Add(new BarChartData(2007, 2.87498));
            data.Add(new BarChartData(2008, 8.124313243));
            data.Add(new BarChartData(2009, 6.1341343));
            data.Add(new BarChartData(2010, 4.6875873));
            data.Add(new BarChartData(2011, 2.879869));
            data.Add(new BarChartData(2012,4.972234));

            //Binding Datasource to Chart
            this.Chart1.DataSource = data;
            this.Chart1.DataBind();

        }
    }
    [Serializable]
    public class BarChartData
    {
        public BarChartData(double xval, double yvalue1)
        {
            this.Xvalue = xval;
            this.YValue1 = yvalue1;
           
        }
        public double Xvalue
        {
            get;
            set;
        }
        public double YValue1
        {
            get;
            set;
        }
      
    }
}
